#! Flux2D 20.1

loadProject('MAS_ActivateF2STA_SOLVED.FLU')

Curves = ['Speed.txt','CurrentA.txt','CurrentB.txt','CurrentC.txt','Torque.txt']


for k in range (0, len(Curves)):

    ImportFluxCurve2DFromASCIIFile(fileName=Curves[k],
                                curveName='ImportCurve_'+str(k)+'',
                                curveType='evolutive')

    result = SpectrumAnalysis(curve=Curve2d['IMPORTCURVE_'+str(k)+''],
                    component='0.000000',
                    cycle=FullCycle(),
                    numberHarmonics=10,
                    computeDCComponent=NonContinue(),
                    scaleDecibel=FirstHarmonic(firstHarmonicValue=100.0),
                    nameRebuiltCurve='Extrapolated_curve'+str(k)+'',
                    nameFourierTransform='Spectrum_'+str(k)+'')

    CurveSpatial2D['Spectrum_'+str(k)+''].exportTXT(txtFile='result/'+Curves[k]+'_FFT.txt',
            mode='replace')
