#! Flux2D 12.3

loadProject('TestCase_INI.FLU')
########    Inputs parameters ############################
VariationParameterMultiphysics(name='V_A',

                                                           referenceValue=1.0)


VariationParameterMultiphysics(name='V_B',

                                                           referenceValue=1.0)


VariationParameterMultiphysics(name='V_C',

                                                           referenceValue=1.0)


########  Outputs parameters ############################

VariationParameterFormula(name='CURRENT_PHASE_1',

                                                  formula='I(B1)')


VariationParameterFormula(name='CURRENT_PHASE_2',

                                                  formula='I(B2)')


VariationParameterFormula(name='CURRENT_PHASE_3',

                                                  formula='-I(B3)')


VariationParameterFormula(name='I_BAR_1',

                                                  formula='I(BAR_1_Q1)')


VariationParameterFormula(name='I_BAR_2',

                                                  formula='I(BAR_2_Q1)')


VariationParameterFormula(name='SPEED',

                                                  formula='AngSpeed(MOVING_ROTOR)')


VariationParameterFormula(name='TORQUE',

                                                  formula='TorqueElecMag(MOVING_ROTOR)')

######## Change voltage source ############################

VoltageSource['VAC'].rmsModulus='V_A'


VoltageSource['VBA'].rmsModulus='V_B'

########  Coupling Element ############################

generateActivateCouplingComponent(ActivateName='MAS_Activate',
                                                                  ActivateOverwrite=1,
                                                                  ActivateInput=[VariationParameter['V_A'],
                                                                                                 VariationParameter['V_B'],
                                                                                                 VariationParameter['V_C']],
                                                                  ActivateOutput=[VariationParameter['CURRENT_PHASE_1'],
                                                                                                  VariationParameter['CURRENT_PHASE_2'],
                                                                                                  VariationParameter['CURRENT_PHASE_3'],
                                                                                                  VariationParameter['I_BAR_1'],
                                                                                                  VariationParameter['I_BAR_2'],
                                                                                                  VariationParameter['SPEED'],
                                                                                                  VariationParameter['TORQUE']])

file = open("result/TestCase_RES.txt", "w")

file.write("ok")
file.write("\n")

file.flush()
file.close()

saveProjectAs('MAS_ActivateF2STA.FLU')
